summaryrefslogtreecommitdiff
path: root/contrib/regression/objs-gcc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/regression/objs-gcc.sh')
-rwxr-xr-xcontrib/regression/objs-gcc.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/contrib/regression/objs-gcc.sh b/contrib/regression/objs-gcc.sh
index 0e37ee88af9..cc152d1f80c 100755
--- a/contrib/regression/objs-gcc.sh
+++ b/contrib/regression/objs-gcc.sh
@@ -113,13 +113,15 @@ else
make install || exit 1
fi
-mkdir -p $PREFIX/share/gdb-testsuite || exit 1
-cd $SOURCE/gdb/testsuite || exit 1
-find . -print | cpio -pdmu $PREFIX/share/gdb-testsuite || exit 1
-# selftest.exp requires keeping old sources around, which is impractical
-rm $PREFIX/share/gdb-testsuite/gdb.base/selftest.exp
-# these tests seem to be broken and randomly failing
-rm -r $PREFIX/share/gdb-testsuite/gdb.mi
+if [ -x $PREFIX/bin/$TARGET-gdb ] ; then
+ mkdir -p $PREFIX/share/gdb-testsuite || exit 1
+ cd $SOURCE/gdb/testsuite || exit 1
+ find . -print | cpio -pdmu $PREFIX/share/gdb-testsuite || exit 1
+ # selftest.exp requires keeping old sources around, which is impractical
+ rm $PREFIX/share/gdb-testsuite/gdb.base/selftest.exp
+ # these tests seem to be broken and randomly failing
+ rm -r $PREFIX/share/gdb-testsuite/gdb.mi
+fi
echo pass > $RESULT
exit 0